Subject: Re: Using pine to approve mailing list postings?

From: Joe Brennan <[email-masked]>
Date: Thu, 17 Oct 96 16:31:56 EDT

> I am starting a moderated mailing list using majordomo. At the moment all
> the messages are coming in with a BOUNCE subject line. I have to manually
> strip the old headers and add an approved line. 
> Is there anyone with any experience on this out there? I could really use
> a smart send filter to do this for me.

Since Pine does not make it easy to add an Approved header line to
selected messages on the fly, probably you want to use the method
where the first line of text has the Approved command.

Majordomo ("resend" actually) expects the forwarded headers to be the
next nonblank line under the Approved command.  Pine however puts in
this extra line:

---------- Forwarded message ----------

It would be sufficient to remove that, and then Majordomo will pick up
the headers off the original message.  You don't need to remove them.

You can also make a small change in the resend file.  Line 145 is
where it ignores blank lines until it gets to the headers:

           if (/^\s*$/) {

You could change it to :

           if (/^\s*$/ || /.*-----.*/) {

and then resend will also ignore a line with 5 hyphens in a row.  I
did it this way because another mail program we use also puts in some
hyphens and this takes care of both.  Then all you have to do is
forward the message with the Approved command in the first line, and
leave the rest as is.

Joseph Brennan  Postmaster  Academic Information Systems
                Columbia University in the City of New York
                [email-masked]